package com.example.android.web;

import android.app.Activity;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.EditText;

/** ߂{^Aiރ{^̐sTvB */
public class Example03 extends Activity implements OnClickListener, OnKeyListener {
	
	class MyWebViewClient extends WebViewClient {
		@Override
		public void doUpdateVisitedHistory(WebView view, String url, boolean isReload) {
			back.setEnabled(webView.canGoBack());
			forward.setEnabled(webView.canGoForward());
		}
		@Override
		public void onPageFinished(WebView view, String url) {
			if (webView.getTitle() != null) {
				Example03.this.setTitle(webView.getTitle());
			}
		}
		@Override
		public void onPageStarted(WebView view, String url, Bitmap favicon) {
			Example03.this.setTitle("Loading...");
			back.setEnabled(webView.canGoBack());
			forward.setEnabled(webView.canGoForward());
		}
	}
	
	Button back;
	Button forward;
	EditText url;
	WebView webView;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.example03);

		back = (Button)findViewById(R.id.Button01);
		forward = (Button)findViewById(R.id.Button02);
		url = (EditText)findViewById(R.id.EditText01);
		webView = (WebView)findViewById(R.id.WebView01);
		webView.setWebViewClient(new MyWebViewClient());
		
		back.setEnabled(false);
		forward.setEnabled(false);
		
		back.setOnClickListener(this);
		forward.setOnClickListener(this);
		url.setOnKeyListener(this);
	}

	@Override
	public void onClick(View v) {
		if (v == back) {
			webView.goBack();
		} else if (v == forward) {
			webView.goForward();
		}
	}

	@Override
	public boolean onKey(View v, int keyCode, KeyEvent event) {
		if (keyCode == KeyEvent.KEYCODE_ENTER) {
			webView.loadUrl(url.getText().toString());
			return true;
		}
		return false;
	}
	
}
